<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xsv="http://www.w3.org/2000/05/xsv">
	<xsl:output method="text"/>
	<xsl:template match="/xsv:xsv[./@schemaErrors='0' and 
						not(xsv:schemaDocAttempt./@outcome='failure') and 
						count(xsv:invalid)='0' and
						not(xsv:schemaDocAttempt/@outcome='failure')]">
		<xsl:apply-templates select="@target"/>
		<xsl:text>OK.&#10;&#13;</xsl:text>
	<xsl:apply-templates/>
	</xsl:template>


	<xsl:template match="/xsv:xsv[./@schemaErrors>'0' or 
					xsv:schemaDocAttempt./@outcome='failure' or
					count(xsv:invalid)>'0' or 
					xsv:schemaDocAttempt/@outcome='failure']">
		<xsl:apply-templates select="@target"/>
		<xsl:apply-templates select="@schemaErrors"/>
		<xsl:apply-templates/>
		<xsl:text>see XSV report: _Results\XSVReports\</xsl:text>
		<xsl:value-of select="substring-after(@target, 'BODExamples/')"/>
		<xsl:text>-XSV.xml.&#13;&#10;</xsl:text>
	</xsl:template>

	<xsl:template match="@target">
		<xsl:value-of select="substring-after(., 'BODExamples/')"/>
		<xsl:text>: </xsl:text>
	</xsl:template>
	<xsl:template match="@schemaErrors[.!='0']">
		<xsl:value-of select="."/>
		<xsl:text> schema error</xsl:text>
		<xsl:if test=".>1"><xsl:text>s</xsl:text></xsl:if>
		<xsl:text>; </xsl:text>
	</xsl:template>
	<xsl:template match="@schemaErrors[.='0']"/>
	<xsl:template match="xsv:schemaDocAttempt[./@outcome='failure']">
		<xsl:text>&#13;&#10;</xsl:text>
		<xsl:text>	Error accessing URI: </xsl:text>
		<xsl:value-of select="@URI"/>
		<xsl:text>; </xsl:text>
	</xsl:template>
	<xsl:template match="xsv:schemaDocAttempt[./@outcome!='failure']"/>
	<xsl:template match="xsv:invalid[1]">
		<xsl:variable name="numErrors" select="count(../xsv:invalid)"/>
		<xsl:value-of select="$numErrors"/>
		<xsl:text> instance error</xsl:text>
		<xsl:if test="$numErrors>1"><xsl:text>s</xsl:text></xsl:if>
		<xsl:text>; </xsl:text>
	</xsl:template>
	<xsl:template match="text()"/>
</xsl:stylesheet>
